CVS-DEBC(1)

BEZEICHNUNG
cvs-debc - Inhalte eines mit Cvs-buildpackage/Cvs-debuild erzeugten Pakets ansehen

ÜBERSICHT
cvs-debc [Optionen] [Paket …]

BESCHREIBUNG
cvs-debc wird aus dem CVS-Arbeitsverzeichnis nach cvs-buildpackage oder cvs-debuild ausgeführt. Es verwendet das cvs-buildpackage-System, um die in diesem Durchgang erzeugte .changes-Datei ausfindig zu machen. Dann zeigt es Informationen über die .deb-Dateien an, die in diesem Durchgang erzeugt wurden, indem dpkg-deb -I und dpkg-deb -c auf jedes in der .changes-Datei aufgelistete .deb-Archiv ausgeführt werden. Dies geschieht in der Annahme, dass alle .deb im gleichen Verzeichnis wie die .changes-Datei liegen. Das ist nützlich, um sicherzustellen, dass die erwarteten Dateien im Debian-Paket gelandet sind.

Falls auf der Befehlszeile eine Liste von Paketen angegeben wurde, dann werden nur jene Debs verarbeitet, deren Namen in der Paketliste stehen.

Beachten Sie, dass im Gegensatz zu cvs-buildpackage, die Option -P die einzige Möglichkeit ist, den Namen des Quellpakets anzugeben; Sie können ihn nicht einfach als letzten Befehlszeilenparameter angeben.

OPTIONEN
Alle aktuellen Optionen von cvs-buildpackage werden stillschweigend akzeptiert; allerdings haben nur die nachfolgend aufgeführten Auswirkungen. Weitere Einzelheiten über all das finden Sie in der Handbuchseite von cvs-buildpackage(1).

-aDebian-Architektur, -tGNU-Systemtyp
    Eine Beschreibung dieser Optionen finden Sie unter dpkg-architecture(1). Sie beeinflussen die Suche nach der .changes-Datei. Sie werden bereitgestellt, um das Verhalten von dpkg-buildpackage nachzumachen, wenn der Name der .changes-Datei festgestellt wird.

-MModul
    der Name des CVS-Moduls

-PPaket
    der Name des Pakets

-VVersion
    die Versionsnummer des Pakets

-TMarkierung
    die CVS-Markierung, die für den Export von Quellen benutzt wird

-RWurzelverzeichnis
    Wurzel des Originalquellarchivs

-WArbeitsverzeichnis
    der vollständige Pfadname für das Cvs-buildpackage-Arbeitsverzeichnis

-xPräfix
    Diese Option stellt das Standard-CVS-Modulpräfix bereit.

--help, --version
    zeigt Hilfenachricht beziehungsweise Versionsinformationen.

SIEHE AUCH
cvs-buildpackage(1), cvs-debi(1), cvs-debuild(1) und debc(1)

AUTOR
cvs-buildpackage wurde von Manoj Srivastava geschrieben und die aktuelle Version von debi wurde von Julian Gilbey <jdg@debian.org> verfasst. Sie wurden von Julian Gilbe in diesem Programm kombiniert.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.